:root {
  --navbar-bg: #222;
  --navbar-dark-100: #333;
  --navbar-dark-200: #444;
  --navbar-dark-300: #555;
  --navbar-zindex: 999;
  --navbar-link-color: #eee;
  --navbar-submenu-width: 200px;
}

body {
  font-family: "DM Sans", sans-serif;
  background-color: #c6ddf0ff;
  background-color: #c6ddf0ff;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #2a2b2aff;
  font-weight: 700;
}

p {
  color: #5e4955ff;
  font-size: 1.15rem;
  line-height: 1.5rem;
}

header {
  padding: 1.5rem 0;
}

.container {
  width: 85%;
  max-width: 960px;
  margin-left: auto;
  margin-right: auto;
}

.content {
  background-color: #fff;
  padding: 1rem 1.75rem;
  margin: 2rem 0;
}
.content .heading {
  font-size: 1.75rem;
  font-weight: 300;
}

#main-navbar {
  background-color: var(--navbar-bg);
  position: relative;
  z-index: var(--navbar-zindex);
}
#main-navbar .mobile-nav-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 0;
}
#main-navbar .mobile-nav-content span {
  color: var(--navbar-link-color);
}
#main-navbar .mobile-nav-content #menu-toggler {
  background-color: transparent;
  border: 1px solid var(--navbar-link-color);
  color: var(--navbar-link-color);
  padding: 6px 8px;
  cursor: pointer;
}
#main-navbar .mobile-nav-content #menu-toggler:hover, #main-navbar .mobile-nav-content #menu-toggler:focus, #main-navbar .mobile-nav-content #menu-toggler.active {
  background-color: var(--navbar-link-color);
  color: var(--navbar-bg);
}
#main-navbar .mobile-nav-content #menu-toggler .fa-bars {
  display: initial;
}
#main-navbar .mobile-nav-content #menu-toggler .fa-close {
  display: none;
}
#main-navbar .mobile-nav-content #menu-toggler.active .fa-bars {
  display: none;
}
#main-navbar .mobile-nav-content #menu-toggler.active .fa-close {
  display: initial;
}
#main-navbar .menu {
  padding: 0;
  margin: 0;
  list-style-type: none;
  display: none;
  align-items: stretch;
  flex-direction: column;
  border-top: 1px solid var(--navbar-dark-200);
}
#main-navbar .menu.active {
  display: flex;
}
#main-navbar .menu li a {
  color: var(--navbar-link-color);
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 4px;
  padding: 12px 16px;
}
#main-navbar .menu li a:hover {
  background-color: var(--navbar-dark-100);
}
#main-navbar .menu li a .fa {
  rotate: -90deg;
  transition: all 0.25s;
}
#main-navbar .menu li.active > a {
  background-color: var(--navbar-dark-100);
}
#main-navbar .menu li.active > a > .fa {
  rotate: 0deg;
}
#main-navbar .menu li.active > .submenu {
  display: flex;
}
#main-navbar .menu .submenu {
  padding: 0;
  margin: 0;
  list-style-type: none;
  display: none;
  flex-direction: column;
  background-color: var(--navbar-dark-100);
  animation: fadeIn 0.5s;
}
#main-navbar .menu .submenu li a {
  padding: 8px 16px 8px 24px;
}
#main-navbar .menu .submenu li a:hover {
  background-color: var(--navbar-dark-200);
}
#main-navbar .menu .submenu li.active > a {
  background-color: var(--navbar-dark-200);
}
#main-navbar .menu .submenu li.has-dropdown.active > a {
  border-bottom: 1px solid var(--navbar-dark-300);
}
#main-navbar .menu .submenu .submenu {
  background-color: var(--navbar-dark-200);
}
#main-navbar .menu .submenu .submenu li a {
  padding: 8px 16px 8px 32px;
}
#main-navbar .menu .submenu .submenu li a:hover {
  background-color: var(--navbar-dark-300);
}
#main-navbar .menu .submenu .submenu li.active > a {
  background-color: var(--navbar-dark-300);
}

@media screen and (min-width: 860px) {
  #main-navbar .mobile-nav-content {
    display: none;
  }
  #main-navbar .menu {
    display: flex;
    align-items: center;
    flex-direction: row;
    border: none;
  }
  #main-navbar .menu li {
    position: relative;
  }
  #main-navbar .menu li a .fa {
    rotate: 0deg;
    transition: all 0.25s;
  }
  #main-navbar .menu .submenu {
    width: var(--navbar-submenu-width);
    position: absolute;
    top: 100%;
	  left:0px;
  }
  #main-navbar .menu .submenu li a {
    padding: 8px 16px;
  }
  #main-navbar .menu .submenu li.active > a > .fa {
    rotate: -90deg;
  }
  #main-navbar .menu .submenu li.has-dropdown.active > a {
    border-bottom: none;
  }
  #main-navbar .menu .submenu .submenu {
    width: var(--navbar-submenu-width);
    top: 0;
    left: 100%;
  }
  #main-navbar .menu .submenu .submenu li a {
    padding: 8px 16px;
  }
}
@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
